"use strict";
var util = require('../../util');
var colors = require('colors');
var maxCmdLength = null;
function getFirstArg(command) {
    return command.split(/\s/g)[1] || '';
}
function lineWrapper(taskInfo, line) {
    if (maxCmdLength === null) {
        var firstArgs = taskInfo.allTasks.map(function (task) {
            return getFirstArg(task.command);
        });
        maxCmdLength = util.getMaxLength(firstArgs);
    }
    var taskName = getFirstArg(taskInfo.task.command);
    var colorFunc = util.getColorFuncForIndex(taskInfo.taskIndex);
    return colorFunc(util.rightPad(taskName, maxCmdLength) + ' |') + ' ' + line;
}
exports.lineWrapper = lineWrapper;
